<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwiced__bt__gatt__char__declaration__t" kind="struct" language="C++" prot="public">
    <compoundname>wiced_bt_gatt_char_declaration_t</compoundname>
    <includes local="no">wiced_bt_gatt.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwiced__bt__gatt__char__declaration__t_1a495b02eabf7f553a79d226ee88a77a58" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__wicedbt__gatt_1ga3b43418049399accbe6bf33b39da9c68">wiced_bt_gatt_char_properties_t</ref></type>
        <definition>wiced_bt_gatt_char_properties_t wiced_bt_gatt_char_declaration_t::characteristic_properties</definition>
        <argsstring />
        <name>characteristic_properties</name>
        <briefdescription>
<para>characteristic properties (see <ref kindref="member" refid="group__wicedbt__gatt_1ga779678b722181c2c2ef4df09e62872b3">wiced_bt_gatt_char_properties_t </ref>) </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="397" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="397" />
      </memberdef>
      <memberdef id="structwiced__bt__gatt__char__declaration__t_1a2b426ef607f5ea21963bd09e6050f4e5" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_gatt_char_declaration_t::val_handle</definition>
        <argsstring />
        <name>val_handle</name>
        <briefdescription>
<para>characteristic value attribute handle </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="398" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="398" />
      </memberdef>
      <memberdef id="structwiced__bt__gatt__char__declaration__t_1a97705d5793b4479b888b9a0535e3857e" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_gatt_char_declaration_t::handle</definition>
        <argsstring />
        <name>handle</name>
        <briefdescription>
<para>characteristic declaration handle </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="399" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="399" />
      </memberdef>
      <memberdef id="structwiced__bt__gatt__char__declaration__t_1ab2c19ff55882360baa868ac3c8d1da30" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structwiced__bt__uuid__t">wiced_bt_uuid_t</ref></type>
        <definition>wiced_bt_uuid_t wiced_bt_gatt_char_declaration_t::char_uuid</definition>
        <argsstring />
        <name>char_uuid</name>
        <briefdescription>
<para>characteristic UUID type </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="400" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="400" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>characteristic declaration </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="129">
        <label>wiced_bt_uuid_t</label>
        <link refid="structwiced__bt__uuid__t" />
      </node>
      <node id="128">
        <label>wiced_bt_gatt_char_declaration_t</label>
        <link refid="structwiced__bt__gatt__char__declaration__t" />
        <childnode refid="129" relation="usage">
          <edgelabel>char_uuid</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="401" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="395" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="396" />
    <listofallmembers>
      <member prot="public" refid="structwiced__bt__gatt__char__declaration__t_1ab2c19ff55882360baa868ac3c8d1da30" virt="non-virtual"><scope>wiced_bt_gatt_char_declaration_t</scope><name>char_uuid</name></member>
      <member prot="public" refid="structwiced__bt__gatt__char__declaration__t_1a495b02eabf7f553a79d226ee88a77a58" virt="non-virtual"><scope>wiced_bt_gatt_char_declaration_t</scope><name>characteristic_properties</name></member>
      <member prot="public" refid="structwiced__bt__gatt__char__declaration__t_1a97705d5793b4479b888b9a0535e3857e" virt="non-virtual"><scope>wiced_bt_gatt_char_declaration_t</scope><name>handle</name></member>
      <member prot="public" refid="structwiced__bt__gatt__char__declaration__t_1a2b426ef607f5ea21963bd09e6050f4e5" virt="non-virtual"><scope>wiced_bt_gatt_char_declaration_t</scope><name>val_handle</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>